
Redmine - Defect #8532

e-mail problem: Ruby on rail application could not started

2011-06-05 14:53 - thiru vallvuar

Status: Closed Start date: 2011-06-05

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

hi,

i m using ubuntu 10.04.2 2.6.35-22-generic-pae i686 GNU/Linux ruby:ruby 1.8.7 (2010-06-23 patchlevel 299) [i686-linux] rails:Rails

2.3.5.  Redmine Version: 1.0.0-4 installed using apt-get. and i installed libapache2-mod-passenger. ever thing worked fine untill i

configured emial. to configure email i copied /usr/share/redmine/config/email.yml.example to /etc/redmine/default/email.yml and

edited the values correctly. after restart apache2 it shows Ruby on Rails application could not be started. if i remove the email.yml

then it runs smoothly. find the screen shoot attched

History

#1 - 2011-06-06 13:24 - Tom Rochette

Looks like you aren't correctly typing the stuff you put into email.yml, based on the error which is a syntax error one. I'd suggest you attach email.yml

here so we can see its actual content if you need further help.

#2 - 2011-06-07 09:00 - thiru vallvuar

- File email.yml added

- File redmine_starttls_error.png added

Thanks tom,

now i used the Gmail setting content from example.email.yml now the sites works but still email is not sending.

changes i did

1.email.yml email is configured to valluvar@gmail.com

2.I changed the admin user email to valluvar@gmail.com

3.changed Emission email address to valluvar@gmail.com

i used send a test mail option in email notification of setting page and i got the following error.

An error occurred while sending mail (530 5.7.0 Must issue a STARTTLS command first. f3sm98123pbj.16 )

Attachment

email.yml

screen shoot

#3 - 2018-09-17 06:35 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid

You can see email configuration example for Gmail on this page: EmailConfiguration

To enable starttls in Redmine 3.4, add 'enable_starttls_auto: true'.
